---
title: List the custom detection locations of a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Leaked Credential Checks](https://developers.cloudflare.com/api/go/resources/leaked_credential_checks)

[Detections](https://developers.cloudflare.com/api/go/resources/leaked_credential_checks/subresources/detections)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List the custom detection locations of a zone.

client.LeakedCredentialChecks.Detections.List(ctx, query) (\*SinglePage\[[DetectionListResponse](<https://developers.cloudflare.com/api/go/resources/leaked_credential_checks#(resource)%20leaked_credential_checks.detections%20%3E%20(model)%20DetectionListResponse%20%3E%20(schema)>)], error)

GET/zones/{zone\_id}/leaked-credential-checks/detections

List the user-defined detection locations configured for Leaked Credential Checks, each with its own identifier. A custom detection location tells the WAF where to find the username and password in requests to your application.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Zone WAF Read``Account WAF Write``Account WAF Read`

##### ParametersExpand Collapse

<details>

<summary>

query DetectionListParams

</summary>

ZoneID param.Field\[string]

Defines an identifier.

maxLength32

<a href="#(resource)%20leaked_credential_checks.detections%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20leaked_credential_checks.detections%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DetectionListResponse struct{…}

Defines a custom set of username/password expressions to match Leaked Credential Checks on.

</summary>

ID stringOptional

Defines the unique ID for this custom detection.

maxLength32

<a href="#(resource)%20leaked_credential_checks.detections%20%3E%20(model)%20DetectionListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Password stringOptional

Defines ehe ruleset expression to use in matching the password in a request.

<a href="#(resource)%20leaked_credential_checks.detections%20%3E%20(model)%20DetectionListResponse%20%3E%20(schema)%20%3E%20(property)%20password">Link to this property</a>

Username stringOptional

Defines the ruleset expression to use in matching the username in a request.

<a href="#(resource)%20leaked_credential_checks.detections%20%3E%20(model)%20DetectionListResponse%20%3E%20(schema)%20%3E%20(property)%20username">Link to this property</a>

</details>

[Link to this property](<#(resource)%20leaked_credential_checks.detections%20%3E%20(model)%20DetectionListResponse%20%3E%20(schema)>)

### List the custom detection locations of a zone.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/leaked_credential_checks"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.LeakedCredentialChecks.Detections.List(context.TODO(), leaked_credential_checks.DetectionListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "18a14bafaa8eb1df04ce683ec18c765e",
      "password": "lookup_json_string(http.request.body.raw, \"secret\")",
      "username": "lookup_json_string(http.request.body.raw, \"user\")"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "18a14bafaa8eb1df04ce683ec18c765e",
      "password": "lookup_json_string(http.request.body.raw, \"secret\")",
      "username": "lookup_json_string(http.request.body.raw, \"user\")"
    }
  ],
  "success": true
}
```